# $Revision: 1.23 $, $Date: 2008/07/27 22:45:20 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Number
%define		pnam	Spell
Summary:	Number::Spell Perl module
Summary(cs.UTF-8):	Modul Number::Spell pro Perl
Summary(da.UTF-8):	Perlmodul Number::Spell
Summary(de.UTF-8):	Number::Spell Perl Modul
Summary(es.UTF-8):	Módulo de Perl Number::Spell
Summary(fr.UTF-8):	Module Perl Number::Spell
Summary(it.UTF-8):	Modulo di Perl Number::Spell
Summary(ja.UTF-8):	Number::Spell Perl モジュール
Summary(ko.UTF-8):	Number::Spell 펄 모줄
Summary(nb.UTF-8):	Perlmodul Number::Spell
Summary(pl.UTF-8):	Moduł Perla Number::Spell
Summary(pt.UTF-8):	Módulo de Perl Number::Spell
Summary(pt_BR.UTF-8):	Módulo Perl Number::Spell
Summary(ru.UTF-8):	Модуль для Perl Number::Spell
Summary(sv.UTF-8):	Number::Spell Perlmodul
Summary(uk.UTF-8):	Модуль для Perl Number::Spell
Summary(zh_CN.UTF-8):	Number::Spell Perl 模块
Name:		perl-Number-Spell
Version:	0.04
Release:	6
License:	unknown
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	e30521cc7ff7677428794f46aaa37a57
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This Perl module provides functionality for spelling out numbers.
Currently only integers are supported.

%description -l pl.UTF-8
Ten moduł daje możliwość zapisu słownego liczb. Na razie obsługuje
tylko liczby całkowite.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Number/Spell.pm
%dir %{perl_vendorlib}/auto/Number
%dir %{perl_vendorlib}/auto/Number/Spell
%{perl_vendorlib}/auto/Number/Spell/autosplit.ix
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Number-Spell.spec,v $
Revision 1.23  2008/07/27 22:45:20  arekm
- release 6

Revision 1.22  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.21  2007/02/12 00:49:43  baggins
- converted to UTF-8

Revision 1.20  2004/11/03 22:30:38  paladine
- formatting

Revision 1.19  2004/06/05 18:10:46  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.18  2004/05/07 01:22:54  ankry
- rel. 5

Revision 1.17  2004/05/06 18:01:30  ankry
- fixed perl-devel BR

Revision 1.16  2004/04/27 00:33:15  ankry
- tests added, other fixes

Revision 1.15  2004/02/18 15:51:30  qboosh
- s/no/nb/ in Summary langs

Revision 1.14  2003/09/09 10:24:44  ankry
- spaces -> tab

Revision 1.13  2003/08/18 08:09:06  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.12  2003/05/28 13:00:55  malekith
- massive attack: source-md5

Revision 1.11  2003/05/25 06:24:52  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2003/04/11 18:59:26  radek
- BR: perl-devel; do not BR: perl

Revision 1.9  2003/03/01 20:22:18  radek
- should be ready for perl-5.8.0; release++

Revision 1.8  2003/02/25 00:41:03  radek
- use the __perl macro

Revision 1.7  2003/02/18 15:37:30  ankry
- massive attack: change CPAN URLs

Revision 1.6  2002/07/27 21:38:50  ankry
- translations, cleaning
- new %%doc
- added autosplit.ix and necessary dirs
- release 3

Revision 1.5  2002/07/10 08:48:27  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.4  2002/05/11 14:28:11  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.3  2002/03/20 08:54:02  qboosh
- pl description, release 2

Revision 1.2  2002/03/19 21:03:36  kloczek
- adapterized and few cosmetics.

Revision 1.1  2002/03/19 20:47:46  grabba
- initial release
